Update a WhatsApp template mapping
curl --request PATCH \
--url https://api.pineyard.ai/whatsapp/templates/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.pineyard.ai/whatsapp/templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/whatsapp/templates/{id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"purpose": "<string>",
"providerName": "<string>",
"languageCode": "<string>",
"category": "MARKETING",
"headerKind": "NONE",
"headerBindings": [
null
],
"bodyBindings": [
null
],
"buttonBindings": {},
"bodyPreview": "<string>",
"status": "DRAFT",
"senderId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"components": [
null
],
"sampleValues": {},
"rejectionReason": "<string>",
"providerCheckedAt": "<string>",
"submissionIsAutomatic": true,
"requiresRuntimeContext": true,
"headerMediaFileName": "<string>",
"headerMediaAttached": true,
"clicks": 123,
"trackedLinks": 123,
"providerCategory": "MARKETING"
}Templates
Update a WhatsApp template mapping
PATCH
/
whatsapp
/
templates
/
{id}
Update a WhatsApp template mapping
curl --request PATCH \
--url https://api.pineyard.ai/whatsapp/templates/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.pineyard.ai/whatsapp/templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/whatsapp/templates/{id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"purpose": "<string>",
"providerName": "<string>",
"languageCode": "<string>",
"category": "MARKETING",
"headerKind": "NONE",
"headerBindings": [
null
],
"bodyBindings": [
null
],
"buttonBindings": {},
"bodyPreview": "<string>",
"status": "DRAFT",
"senderId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"components": [
null
],
"sampleValues": {},
"rejectionReason": "<string>",
"providerCheckedAt": "<string>",
"submissionIsAutomatic": true,
"requiresRuntimeContext": true,
"headerMediaFileName": "<string>",
"headerMediaAttached": true,
"clicks": 123,
"trackedLinks": 123,
"providerCategory": "MARKETING"
}Required scope:
whatsapp.editAuthorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Body
application/json
Required string length:
1 - 80Required string length:
1 - 200Required string length:
2 - 12Available options:
MARKETING, UTILITY, AUTHENTICATION Available options:
NONE, TEXT, IMAGE, DOCUMENT, VIDEO Maximum array length:
24- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
Show child attributes
Show child attributes
Maximum array length:
24- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum string length:
4000Maximum array length:
4- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum string length:
200Response
OK
Available options:
MARKETING, UTILITY, AUTHENTICATION Available options:
NONE, TEXT, IMAGE, DOCUMENT, VIDEO Show child attributes
Show child attributes
Available options:
DRAFT, PENDING, APPROVED, REJECTED, DISABLED Show child attributes
Show child attributes
Available options:
MARKETING, UTILITY, AUTHENTICATION 
